=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
           Tianon Gravi <admwiggin@gmail.com>,
           Johan Euphrosine <proppy@google.com>
Build-Depends: bash-completion,
               btrfs-tools,
               debhelper (>=9),
               dh-systemd,
               go-md2man (>= 1.0.1~),
               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
               golang-context-dev (>= 0.0~git20140604~),
               golang-dbus-dev (>= 2~),
               golang-fsnotify-dev (>= 1.0.4~),
               golang-go-patricia-dev (>= 2.1.0~),
               golang-go-systemd-dev (>= 2~),
               golang-go.net-dev (>= 0.0~hg20130629~),
               golang-gocapability-dev (>= 0.0~git20150506~),
               golang-gosqlite-dev (>= 0.0~hg20130530~),
               golang-logrus-dev (>= 0.7.3~),
               golang-mux-dev (>= 0.0~git20140505~),
               golang-pty-dev (>= 0.0~git20141217~),
               libapparmor-dev,
               libdevmapper-dev (>= 2:1.02.68~)
Standards-Version: 3.9.6
Homepage: https://dockerproject.com
Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
Vcs-Browser: http://anonscm.debian.org/cgit/docker/docker.io.git

Package: docker.io
Architecture: linux-any
Depends: adduser, iptables, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: aufs-tools,
            ca-certificates,
            cgroupfs-mount | cgroup-lite,
            git,
            xz-utils,
            ${apparmor:Recommends}
Replaces: docker (<< 1.5~)
Breaks: docker (<< 1.5~)
Suggests: btrfs-tools, debootstrap, lxc, rinse
Built-Using: ${misc:Built-Using}, ${libc:Built-Using}
Description: Linux container runtime
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64 hosts
 is not supported at this time. Please be careful when using it on anything
 besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.

Package: vim-syntax-docker
Architecture: all
Depends: vim, ${misc:Depends}
Recommends: vim-addon-manager
Suggests: docker.io
Description: Docker container engine - Vim highlighting syntax files
 This package provides syntax files for the Vim editor for editing Dockerfiles
 from the Docker container engine.

Package: golang-docker-dev
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Externally reusable Go packages included with Docker
 These packages are intentionally developed by upstream in such a way that they
 are reusable to projects outside Docker and only rely on each other or other
 external dependencies to be built.
