=== debian/tests/control ===
Tests: integration
Depends: ca-certificates, curl, git, @, @builddeps@
Restrictions: allow-stderr isolation-machine needs-root rw-build-tree
