## docker.io 1.7.1~dfsg1

=== debian/changelog ===
docker.io (1.7.1~dfsg1-1) unstable; urgency=medium

  * Update to 1.7.1 upstream release
  * Remove patches applied upstream; refresh other patches
  * Update Build-Depends

 -- Tianon Gravi <tianon@debian.org>  Wed, 26 Aug 2015 10:13:48 -0700
