## docker.io 1.8.3~ds1

=== debian/changelog ===
docker.io (1.8.3~ds1-2) unstable; urgency=medium

  * Move "overlay" higher in priority (Closes: #799087)
  * Adjust "native.cgroupdriver" to default to "cgroupfs" (Closes: #798778)

 -- Tianon Gravi <tianon@debian.org>  Wed, 04 Nov 2015 00:09:02 -0800

docker.io (1.8.3~ds1-1) unstable; urgency=medium

  * Update to 1.8.3 upstream release (CVE-2014-8178, CVE-2014-8179)

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 19:40:51 -0700

docker.io (1.8.2~ds1-2) unstable; urgency=medium

  * Swap Build-Depends order to appease buildds (Closes: #803136)

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 07:23:10 -0700

docker.io (1.8.2~ds1-1) unstable; urgency=medium

  * Update to 1.8.2 upstream release
  * Rename golang-docker-dev package to golang-github-docker-docker-dev
  * Add SELinux support (Closes: #799620)

 -- Tianon Gravi <tianon@debian.org>  Wed, 28 Oct 2015 14:21:00 -0700
