=== debian/control ===
--- 
+++ 
@@ -5,26 +5,44 @@
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Johan Euphrosine <proppy@google.com>
+# partially generated via https://gist.github.com/tianon/92ebbd1793864b9586bc
 Build-Depends: bash-completion,
                btrfs-tools,
                debhelper (>=9),
                dh-systemd,
-               go-md2man (>= 1.0.1~),
-               golang-context-dev (>= 0.0~git20140604~),
-               golang-dbus-dev (>= 2~),
+               go-md2man (>= 1.0.3~),
+               golang-context-dev (>= 0.0~git20140604~) | golang-github-gorilla-context-dev (>= 0.0~git20140604~),
+               golang-dbus-dev (>= 2~) | golang-github-godbus-dbus-dev (>= 2~),
+               golang-etcd-dev (>= 2.0.0~) | golang-github-coreos-go-etcd-dev (>= 2.0.0~),
+               golang-fsnotify-dev (>= 1.2.0~) | golang-gopkg-fsnotify.v1-dev (>= 1.2.0~),
+               golang-github-armon-go-metrics-dev (>= 0.0~git20150106~),
                golang-github-coreos-go-systemd-dev (>= 2~),
+               golang-github-docker-distribution-dev (>= 0.0~git20150827~),
+               golang-github-docker-libkv-dev (>= 0.0~git20150619~),
+               golang-github-docker-libtrust-dev (>= 0.0~git20150526~),
+               golang-github-docker-notary-dev (>= 0.0~git20150801~),
+               golang-github-endophage-gotuf-dev (>= 0.0~git20150811~),
+               golang-github-fluent-fluent-logger-golang-dev (>= 1.0.0~),
                golang-github-gorilla-mux-dev (>= 0.0~git20140926~),
-               golang-github-vishvananda-netlink-dev (>= 0.0~git20150224~),
-               golang-github-vishvananda-netns-dev (>= 0.0~git20150526~),
-               golang-go (>= 2:1.4~),
-               golang-go-patricia-dev (>= 2.1.0~),
-               golang-go-zfs-dev (>= 2.1.0~),
-               golang-go.net-dev (>= 0.0~hg20130629~),
-               golang-gocapability-dev (>= 0.0~git20150506~),
-               golang-goprotobuf-dev (>= 0.0~git20150325~),
-               golang-gosqlite-dev (>= 0.0~hg20130530~),
-               golang-logrus-dev (>= 0.7.3~),
-               golang-pty-dev (>= 0.0~git20150511~),
+               golang-github-graylog2-go-gelf-dev (>= 0.0~git20150610~),
+               golang-github-hashicorp-go-msgpack-dev (>= 0.0~git20140221~),
+               golang-github-hashicorp-serf-dev (>= 0.0~git20150212~),
+               golang-github-mattn-go-sqlite3-dev (>= 0.0~git20150629~),
+               golang-github-opencontainers-runc-dev (>= 0.0.2.1~),
+               golang-github-samuel-go-zookeeper-dev (>= 0.0~git20150415~),
+               golang-github-sirupsen-logrus-dev (>= 0.8.2~),
+               golang-github-tent-canonical-json-go-dev (>= 0.0~git20130607~),
+               golang-github-vbatts-tar-split-dev (>= 0.9.6~),
+               golang-github-vishvananda-netlink-dev (>= 0.0~git20150815~),
+               golang-github-vishvananda-netns-dev (>= 0.0~git20150630~),
+               golang-go-patricia-dev (>= 2.1.0~) | golang-github-tchap-go-patricia-dev (>= 2.1.0~),
+               golang-go-zfs-dev (>= 2.1.1~) | golang-github-mistifyio-go-zfs-dev (>= 2.1.1~),
+               golang-gocapability-dev (>= 0.0~git20150506~) | golang-github-syndtr-gocapability-dev (>= 0.0~git20150506~),
+               golang-golang-x-net-dev (>= 0.0~git20150610~),
+               golang-goprotobuf-dev (>= 0.0~git20150325~) | golang-github-golang-protobuf-dev (>= 0.0~git20150325~),
+               golang-gosqlite-dev (>= 0.0~hg20130530~) | golang-code.google-p-gosqlite-dev (>= 0.0~hg20130530~),
+               golang-pty-dev (>= 0.0~git20150511~) | golang-github-kr-pty-dev (>= 0.0~git20150511~),
+               golang-toml-dev (>= 0.0~git20150127~) | golang-github-burntsushi-toml-dev (>= 0.0~git20150127~),
                libapparmor-dev,
                libdevmapper-dev (>= 2:1.02.68~)
 Standards-Version: 3.9.6
@@ -35,15 +53,14 @@
 Package: docker.io
 Architecture: linux-any
 Depends: adduser, iptables, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: aufs-tools,
-            ca-certificates,
+Recommends: ca-certificates,
             cgroupfs-mount | cgroup-lite,
             git,
             xz-utils,
             ${apparmor:Recommends}
 Replaces: docker (<< 1.5~)
 Breaks: docker (<< 1.5~)
-Suggests: btrfs-tools, debootstrap, lxc, rinse, zfs-fuse | zfsutils
+Suggests: aufs-tools, btrfs-tools, debootstrap, lxc, rinse, zfs-fuse | zfsutils
 Built-Using: ${misc:Built-Using}, ${libc:Built-Using}
 Description: Linux container runtime
  Docker complements kernel namespacing with a high-level API which operates at
@@ -71,11 +88,22 @@
  This package provides syntax files for the Vim editor for editing Dockerfiles
  from the Docker container engine.
 
-Package: golang-docker-dev
+Package: golang-github-docker-docker-dev
 Architecture: all
 Depends: ${misc:Depends}
 Built-Using: ${misc:Built-Using}
+Replaces: golang-docker-dev (<< 1.8.2~ds1-1~)
+Breaks: golang-docker-dev (<< 1.8.2~ds1-1~)
+Provides: golang-docker-dev
 Description: Externally reusable Go packages included with Docker
  These packages are intentionally developed by upstream in such a way that they
  are reusable to projects outside Docker and only rely on each other or other
  external dependencies to be built.
+
+Package: golang-docker-dev
+Section: oldlibs
+Architecture: all
+Depends: golang-github-docker-docker-dev, ${misc:Depends}
+Description: Transitional package for golang-github-docker-docker-dev
+ This is a transitional package to ease upgrades to the
+ golang-github-docker-docker-dev package. It can safely be removed.
