=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,12 @@
 
 # MUST STAY IN SYNC WITH LIST IN "debian/helpers/download-libcontainer"
 MULTI_ORIG_GOPKGS = \
-	github.com/docker/libcontainer \
-	github.com/docker/libnetwork \
-	github.com/docker/libtrust \
-	github.com/docker/distribution
+	github.com/docker/libnetwork
 
-# the list of Go packages to include in golang-docker-dev
+# the list of Go packages to include in golang-github-docker-docker-dev
 DEV_GOPKGS = \
 	github.com/docker/docker/autogen/dockerversion \
-	github.com/docker/docker/pkg \
-	github.com/docker/libcontainer
+	github.com/docker/docker/pkg
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 export GOPATH = $(CURDIR)/.gopath
@@ -28,7 +24,8 @@
 export DOCKER_INITPATH = /usr/lib/docker.io/dockerinit
 
 # AppArmor can be optionally used in Debian and is there by default in Ubuntu, so we need support for it compiled into our binary
-export DOCKER_BUILDTAGS = apparmor
+# same story with SELinux
+export DOCKER_BUILDTAGS = apparmor selinux
 
 
 APPARMOR_RECOMMENDS = $(shell dpkg-vendor --is Ubuntu && echo apparmor)
@@ -84,8 +81,8 @@
 	#   so only ship the reusable parts (and in a separate package).
 	@set -ex; \
 		for package in $(DEV_GOPKGS); do \
-			mkdir -p "debian/golang-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
-			cp -aT "$$(readlink -f "$$GOPATH/src/$$package")" "debian/golang-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
+			mkdir -p "debian/golang-github-docker-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
+			cp -aT "$$(readlink -f "$$GOPATH/src/$$package")" "debian/golang-github-docker-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
 		done
 
 
@@ -116,6 +113,9 @@
 	# bundles is created by hack/make.sh
 	# man/man*/ is created by man/md2man-all.sh
 	rm -rf autogen bundles man/man*/
+	
+	# TODO FIGURE OUT WHY THIS IS CREATED AND SEND A PR UPSTREAM!!!
+	rm -f a.out
 
 
 %:
